Retrieves the project status with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "bb0342fa-2088-4cc2-bb49-68da78c31d16",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "9557ccea-3d51-45d5-8732-417543b16f7f",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "aaab4073-3d63-4a7a-94f5-a2565f4a121e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9c42eb6a-e4d5-4f3c-b084-b9cb50c622c0",
"db_currency_id": "399337ca-eb0d-4e70-abfc-49faa8c1a23a",
"db_language_id": "27e8371c-354d-4be3-8f9f-76b42e883c44",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-05-04T16:57:53.0268759+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-05-04T16:57:53.0268759+00:00"
}